Last Comment Bug 742361 - GCC 4.8 mingw fails to compile cairo due to missing ffs declaration
: GCC 4.8 mingw fails to compile cairo due to missing ffs declaration
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: mozilla14
Assigned To: Jacek Caban
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 07:02 PDT by Jacek Caban
Modified: 2012-04-10 13:05 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix v1.0 (959 bytes, patch)
2012-04-04 07:02 PDT, Jacek Caban
jmuizelaar: review+
Details | Diff | Splinter Review

Description Jacek Caban 2012-04-04 07:02:15 PDT
Created attachment 612177 [details] [diff] [review]
fix v1.0

Like in case of MSVC, there is no ffs in win32. GCC has __builtin_ffs, so we may simply use it (for MSVC it's implemented in cairo-compiler-private.h using _BitScanForward).
Comment 1 Jeff Muizelaar [:jrmuizel] 2012-04-09 11:50:08 PDT
Comment on attachment 612177 [details] [diff] [review]
fix v1.0

Please add a patch to the gfx/cairo/
Comment 2 Jacek Caban 2012-04-10 01:31:40 PDT
Thanks for review, pushed with a patch file:

https://hg.mozilla.org/integration/mozilla-inbound/rev/80bbc7983052

Note You need to log in before you can comment on or make changes to this bug.